﻿''' Ne pas editer ce fichier !
	Voir le fichier de configuration view_rates.cfg '''
	
	# ~~ Imports ~~
import es, popuplib, playerlib
	# ~~~~~~~~~~~
	
	
	# ~~ Variable Script & Version ~~
__version__ = '2.1'
es.ServerVar("view_rates", __version__).makepublic()
	# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

	# ~~ Infos EventScripts ~~
info = es.AddonInfo()
info.name = "view_rates"
info.version = __version__
info.author = "TiTi"
info.url = "http://csswarner.easyforum.fr"
	# ~~~~~~~~~~~~~~~~~~~~~~~~~
	
commande_rate = es.ServerVar("commande_rate_cfg")
affichage_connect = es.ServerVar("affichage_connect_cfg")
affichage_console = es.ServerVar("affichage_console_cfg")
affichage_chat = es.ServerVar("affichage_chat_cfg")
change_var_serv = es.ServerVar("change_var_serv_cfg")

maxrate = es.ServerVar("sv_maxrate_cfg")
minrate = es.ServerVar("sv_minrate_cfg")
mincmdrate = es.ServerVar("sv_mincmdrate_cfg")
maxcmdrate = es.ServerVar("sv_maxcmdrate_cfg")
minupdaterate = es.ServerVar("sv_minupdaterate_cfg")
maxupdaterate = es.ServerVar("sv_maxupdaterate_cfg")

def load():
	es.log("Chargement du script view_rate ...")
	es.server.cmd("es_xmexec ../addons/eventscripts/view_rates/view_rates.cfg")
	if ( change_var_serv == 1):
		es.server.queuecmd("sv_minrate %s"%minrate)
		es.server.queuecmd("sv_maxrate %s"%maxrate)
		es.server.queuecmd("sv_mincmdrate %s"%mincmdrate)
		es.server.queuecmd("sv_maxcmdrate %s"%maxcmdrate)
		es.server.queuecmd("sv_minupdaterate %s"%minupdaterate)
		es.server.queuecmd("sv_maxupdaterate %s"%maxupdaterate)
	es.msg("#multi", "#default[#lightgreenview_rates#default] #greenScript Load")

def player_say(e):
	if e['text'] == commande_rate:
		MenuRates(e["userid"])

def MenuRates(userid):
	menu_rates = popuplib.create("menu_rates")
	
	global menu_rates

	menu_rates = popuplib.easymenu("menu_rates", None, menu_rates_choix)
	menu_rates.settitle("Voir les rates de :")
	
	playerlist = es.getUseridList()
	
	for playerid in playerlist:
		rate = check_rate(playerid)
		cmdrate = check_cmdrate(playerid)
		updaterate = check_updaterate(playerid)
		regler = check_reglage(rate,cmdrate,updaterate)
		menu_rates.addoption(playerid, "%s - %s"%(es.getplayername(playerid),regler))
	menu_rates.send(userid)

def menu_rates_choix(userid, choix, popupnom):
	pseudo = es.getplayername(choix)
	rate = check_rate(choix)
	cmdrate = check_cmdrate(choix)
	updaterate = check_updaterate(choix)
	regler = check_reglage(rate,cmdrate,updaterate)
	if (affichage_chat == 1):
		es.tell(userid, "#multi", "#green[Rate] #lightgreen%s #green( #default%s #green) => #defaultrate #green: #lightgreen%s#green, #defaultcl_cmdrate #green: #lightgreen%s#green, #defaultcl_updaterate #green: #lightgreen%s#green."%(pseudo, regler, rate, cmdrate, updaterate))
	if (affichage_console == 1):
		AffichageRateConsole(userid,pseudo,rate,cmdrate,updaterate,regler)

def check_rate(userid):
	return es.getclientvar (userid, "rate")

def check_cmdrate(userid):
	return es.getclientvar (userid, "cl_cmdrate")

def check_updaterate(userid):
	return es.getclientvar (userid, "cl_updaterate")

def check_reglage(rate, cmdrate, updaterate):
	if( (rate >= minrate) & (rate <= maxrate) & (cmdrate >= mincmdrate) & (cmdrate <= maxcmdrate) & (updaterate >= minupdaterate) & (updaterate <= maxupdaterate) ):
		return "Réglé"
	else:
		return "Non Réglé"
	
def player_activate(e):
	if (affichage_connect == 1):
		userid = e["userid"]
		pseudo = es.getplayername(userid)
		rate = es.getclientvar (userid, "rate")
		cmdrate = es.getclientvar (userid, "cl_cmdrate")
		updaterate = es.getclientvar (userid, "cl_updaterate")
		regler = check_reglage(rate,cmdrate,updaterate)
		es.msg("#multi", "#green[Rate] #lightgreen%s #green( #default%s #green) => #defaultrate #green: #lightgreen%s#green, #defaultcl_cmdrate #green: #lightgreen%s#green, #defaultcl_updaterate #green: #lightgreen%s#green."%(pseudo, regler, rate, cmdrate, updaterate))

def AffichageRateConsole(userid,pseudo,rate,cmdrate,updaterate,regler):
	es.cexec(userid,"echo ")
	es.cexec(userid,"echo ")
	es.cexec(userid,"echo ")
	es.cexec(userid,"echo ")
	es.cexec(userid,"echo ----------------------------------------------------------")
	es.cexec(userid,"echo Joueur | rate | cl_cmdrate | cl_updaterate | Résultat")
	es.cexec(userid,"echo ----------------------------------------------------------")
	es.cexec(userid,"echo %s | %s | %s | %s | %s"%(pseudo,rate,cmdrate,updaterate,regler))
	es.cexec(userid,"echo ")
	es.cexec(userid,"echo ")
	es.cexec(userid,"echo ")
	es.cexec(userid,"echo ")

def unload():
	es.log("Dechargement du script view_rates ...")
	if popuplib.exists("menu_rates"):
		popuplib.unsendname("menu_rates", playerlib.getUseridList("#all"))
		menu_rates.delete()
	es.msg("#multi", "#default[#lightgreenview_rates#default] #greenScript Unload")